Subject: Re: bug#19076: 25.0.50; Switching vertical scroll bars off makes the mode line and buffer area disappear

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 18 Nov 2014 13:38:10 +0100

martin rudalics <[email-masked]> writes:

>> I have the following in my .Xdefaults file:
>>
>> emacs.verticalScrollBars: off
>>
>> When I start Emacs up, the initial frame comes up with no mode line and
>> no echo area, so it's impossible to see what happens when I type
>> `M-x ...', for instance.
>
> With emacs -Q?

With emacs -Q it ignores X defaults, too, so it doesn't happen there.
But it does happen with -q.

> Do you have a vague idea when this happened for the first time?

I think...  like...  three weeks ago, perhaps?  Two weeks?

> In any case please insert (window--dump-frame) in your *scratch* buffer,
> evaluate it, and post the contents of *window-frame-dump* buffer here.

Hm.  I can't see to reproduce this on this display.  I'll do the
dump-frame thing tomorrow at work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no